Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager
Class ContentEntitlementHelper

    java.lang.Object
      com.bea.content.manager.ContentEntitlementHelper

public class ContentEntitlementHelper
extends Object

Field Summary
`static String` | `BROWSE`
`static String` | `CAN_DELETE` The CAN_DELETE capability.
`static String` | `CAN_MANAGE` The CAN_MANAGE capability.
`static String` | `CAN_PUBLISH` The CAN_PUBLISH capability.
`static String` | `CREATE`
`static String` | `DELETE`
`static String` | `REPOSITORY_ROOT` The root of all the repositories
`static String` | `RESOURCE_CONTENT` The prefix denoting the type of the resource (ie content or type)
`static String` | `RESOURCE_REPOSITORY`
`static String` | `RESOURCE_TYPE`
`static String` | `UPDATE`
`static String` | `VIEW`

Constructor Summary
`ContentEntitlementHelper()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BROWSE

    public static final String BROWSE

See Also:
  Constant Field Values

### CAN_DELETE

    public static final String CAN_DELETE

  The CAN_DELETE capability. This should be the same as the one defined in HierarchyServlet.properties

  See Also:
    Constant Field Values

### CAN_MANAGE

    public static final String CAN_MANAGE

  The CAN_MANAGE capability. This should be the same as the one defined in HierarchyServlet.properties

  See Also:
    Constant Field Values

### CAN_PUBLISH

    public static final String CAN_PUBLISH

  The CAN_PUBLISH capability. This should be the same as the one defined in HierarchyServlet.properties

  See Also:
    Constant Field Values

### CREATE

    public static final String CREATE

See Also:
  Constant Field Values

### DELETE

    public static final String DELETE

See Also:
  Constant Field Values

### REPOSITORY_ROOT

    public static final String REPOSITORY_ROOT

  The root of all the repositories

  See Also:
    Constant Field Values

### RESOURCE_CONTENT

    public static final String RESOURCE_CONTENT

  The prefix denoting the type of the resource (ie content or type)

  See Also:
    Constant Field Values

### RESOURCE_REPOSITORY

    public static final String RESOURCE_REPOSITORY

See Also:
  Constant Field Values

### RESOURCE_TYPE

    public static final String RESOURCE_TYPE

See Also:
  Constant Field Values

### UPDATE

    public static final String UPDATE

See Also:
  Constant Field Values

### VIEW

    public static final String VIEW

See Also:
  Constant Field Values

Constructor Detail

### ContentEntitlementHelper

    public ContentEntitlementHelper()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved